package com.liang.service;

import com.liang.entity.BaseProjecttemplate;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * 项目模板(BaseProjecttemplate)表服务接口
 *
 * @author makejava
 * @since 2023-03-14 15:30:37
 */
public interface BaseProjecttemplateService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    BaseProjecttemplate queryById(Integer id);

    /**
     * 分页查询
     *
     * @param baseProjecttemplate 筛选条件
     * @param pageRequest         分页对象
     * @return 查询结果
     */
    Page<BaseProjecttemplate> queryByPage(BaseProjecttemplate baseProjecttemplate, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param baseProjecttemplate 实例对象
     * @return 实例对象
     */
    int insert(BaseProjecttemplate baseProjecttemplate);

    /**
     * 修改数据
     *
     * @param baseProjecttemplate 实例对象
     * @return 实例对象
     */
    int update(BaseProjecttemplate baseProjecttemplate);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 获取项目模板
     *
     * @return
     */
    List<BaseProjecttemplate> getTemplateList(Map map);

    /**
     * 批量删除项目任务书
     *
     * @param idList
     * @return
     */
    int batchDelete(List<String> idList);
}
